%define upstream_name    IO-CaptureOutput
%define upstream_version 1.1104

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch:      1

Summary:    capture STDOUT and STDERR from Perl code, subprocesses or XS
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec) >= 3.270.0
BuildRequires: perl(File::Temp) >= 0.160.0
BuildRequires: perl(IO::File)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides routines for capturing STDOUT and STDERR from perl
subroutines, forked system calls (e.g. 'system()', 'fork()') and from XS or
C modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1:1.110.400-3.mga6
+ Revision: 1028652
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1:1.110.400-2.mga6
+ Revision: 968088
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1:1.110.400-1.mga6
+ Revision: 851240
- update to 1.1104

* Sun Oct 19 2014 umeabot <umeabot> 1:1.110.300-4.mga5
+ Revision: 788812
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1:1.110.300-3.mga5
+ Revision: 739554
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.110.300-2.mga5
+ Revision: 685052
- Mageia 5 Mass Rebuild

* Fri Feb 28 2014 jquelin <jquelin> 1:1.110.300-1.mga5
+ Revision: 597858
- update to 1.1103

* Fri Oct 18 2013 umeabot <umeabot> 1:1.110.200-3.mga4
+ Revision: 512286
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:1.110.200-2.mga3
+ Revision: 368454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1:1.110.200-1.mga1
+ Revision: 22677
- cleaning spec file
- imported package perl-IO-CaptureOutput


* Mon Feb 15 2010 Jérôme Quelin <jquelin@mandriva.org> 1:1.110.200-1mdv2010.1
+ Revision: 506248
- bump epoch
- update to 1.1102

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1101-1mdv2010.0
+ Revision: 370133
- update to new version 1.1101

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.0801-2mdv2009.0
+ Revision: 268528
- rebuild early 2009.0 package (before pixel changes)
- fix spacing at top of description

* Thu May 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.0801-1mdv2009.0
+ Revision: 210006
- import perl-IO-CaptureOutput


